# cpufreq

## About
### Features
A simple tool to show the current average CPU frequency across all
CPU cores. Can be given the argument `-a` to show frequency for each
individual core (cores sorted according to their number in the kernel).

### Usage
`cpufreq [-a]`

### Design goal
The goal was to create
* a minimal Linux program with no dependencies
* that runs on any `x86_64` system without the need for a specific C library version to be present
* and is very fast (takes less than 1ms as of `v1.0`)

## Platform support
This program is linux only.
There are _no_ plans to change that.
